unit ucfe;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, Spin;

type
  Tfprincipe = class(TForm)
    GroupBox1: TGroupBox;
    Label1: TLabel;
    nbb: TSpinEdit;
    Label2: TLabel;
    tquality: TTrackBar;
    Label3: TLabel;
    Label4: TLabel;
    chksmooth: TCheckBox;
    bsave: TButton;
    breset: TButton;
    Button3: TButton;
    GroupBox2: TGroupBox;
    ringame: TRadioButton;
    routgame: TRadioButton;
    chke3d: TCheckBox;
    GroupBox3: TGroupBox;
    rglc: TRadioButton;
    rglce: TRadioButton;
    chklog: TCheckBox;
    GroupBox4: TGroupBox;
    ra1: TRadioButton;
    ra5: TRadioButton;
    procedure bresetClick(Sender: TObject);
    procedure bsaveClick(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    procedure resetconfig;
    procedure saveconfig;
  end;

var
  fprincipe: Tfprincipe;

implementation


uses registry;

{$R *.DFM}

//const nameconfig='gamesok.config';
var nameconfig : string;

procedure Tfprincipe.resetconfig;
var f : file;
    w : word;
    wb : byte;
    err : integer;
begin
     assignfile(f,nameconfig);
     try
     reset(f,1);
     blockread(f,w,2);
     nbb.Value := w;
     blockread(f,wb,1);

     tquality.Position := wb;

     blockread(f,wb,1);
     chksmooth.Checked := wb = 1;

     ringame.Checked := false;
     routgame.checked := false;
     blockread(f,wb,1);
     ringame.checked := wb=1;
     routgame.checked := wb<>1;

     blockread(f,wb,1);
     chke3d.Checked := wb=1;

     blockread(f,wb,1);
     rglc.checked := wb=0;
     rglce.checked := wb=1;

     wb := 0;
      blockread(f,wb,1,err);
     chklog.checked := wb=1;

     wb := 0;
      blockread(f,wb,1,err);
      ra5.checked := wb=0;
      ra1.checked := wb=1;
     




     closefile(f);
     except end;
end;
procedure Tfprincipe.saveconfig;
var w : word;
    wb : byte;
    f : file;
begin
     assignfile(f,nameconfig);
     rewrite(f,1);
     w := nbb.value;
     blockwrite(f,w,2);

     wb := tquality.Position;
     blockwrite(f,wb,1);

     if (chksmooth.checked) then wb := 1 else wb := 0;
     blockwrite(f,wb,1);

     wb := 0;
     if ringame.Checked then wb := 1;
     blockwrite(f,wb,1);

      wb := 0;
     if chke3d.Checked then wb := 1;
     blockwrite(f,wb,1);

      wb := 0;
     if rglce.Checked then wb := 1;
     blockwrite(f,wb,1);

         wb := 0;
     if chklog.Checked then wb := 1;
     blockwrite(f,wb,1);
     wb := 0;
     if (ra1.checked) then
        wb := 1;
     blockwrite(f,wb,1);





     closefile(f);
end;

procedure Tfprincipe.bresetClick(Sender: TObject);
begin
     resetconfig;
end;

procedure Tfprincipe.bsaveClick(Sender: TObject);
begin
     saveconfig;
     application.terminate;
end;

procedure Tfprincipe.Button3Click(Sender: TObject);
begin
     application.terminate;
end;

procedure Tfprincipe.FormCreate(Sender: TObject);
var tmp  :array[0..511] of char;
    dwtype : dword;
    hndKey: HKey;
    ll : longint;

    tr : tregistry;
    st : string;

    pcbdata : longint;
begin
					//HKEY hkey, LPCSTR pszSubKey, LPCSTR pszValue, DWORD dwType, LPCVOID pvData, DWORD cbData);
              // SHGetValue(HKEY_CURRENT_USER,'Software\Sivaller\GameSok\1\Config','gamesok.config',dwtype,tmp,pcbdata);
              nameconfig := 'gamesok.config';
              tr := tregistry.Create;
              try
              tr.RootKey:=HKEY_CURRENT_USER;
              tr.OpenKey('Software\Sivaller\GameSok\1\Config',False);
              st := tr.ReadString('gamesok.config');
              if (st<>'') then
                 nameconfig:=st;
              except end;
              tr.free;


(*              pcbdata := 512;
              tmp[0]:=#0;
              if RegOpenKey(HKEY_CURRENT_USER,'Software\Sivaller\GameSok\1\Config',hndKey) = ERROR_SUCCESS then begin
                 regsetvalue(hndkey,'11',REG_SZ,'truc',5);
                 ll:= regqueryvalue(hndkey,'gamesok.config',tmp,pcbdata);
	         if (tmp[0]=#0) then
               		strpcopy(tmp,'gamesok.config');
                 nameconfig := strpas(tmp);
                 regclosekey(hndkey);

               end;*)
              // regqueryvalue(HKEY_CURRENT_USER,'Software\Sivaller\GameSok\1\Config\\gamesok.config',tmp,pcbdata);

     resetconfig;
end;

end.
