// I.Quality.TextureDlg.cpp : implementation file
//

#include "stdafx.h"
#include "I.Quality.Texture.h"
#include "I.Quality.TextureDlg.h"
#include <shlwapi.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CIQualityTextureDlg dialog




CIQualityTextureDlg::CIQualityTextureDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CIQualityTextureDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CIQualityTextureDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CIQualityTextureDlg, CDialog)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDOK, &CIQualityTextureDlg::OnBnClickedOk)
	ON_WM_SHOWWINDOW()
END_MESSAGE_MAP()


// CIQualityTextureDlg message handlers

BOOL CIQualityTextureDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// TODO: Add extra initialization here

	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CIQualityTextureDlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CIQualityTextureDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}

bool CIQualityTextureDlg::ic(int id)
{
	//CWnd *r=this
	CButton *r=NULL;
	r=(CButton*)this->GetDlgItem(id);
	bool b=false;
	if (r!=NULL)
	{
		LRESULT in=r->SendMessage(BM_GETCHECK);
		b=in==BST_CHECKED;
	}
	return b;
}

void CIQualityTextureDlg::OnBnClickedOk()
{
	// TODO: Add your control notification handler code here
	int num=0;
	if (ic(IDC_R1))
		num=1;
	if (ic(IDC_R2))
		num=2;
	SHSetValue(HKEY_CURRENT_USER,"Software\\Sivaller\\Tanga\\1.1","quality",REG_DWORD,&num,4);
	
	OnOK();
}

void CIQualityTextureDlg::sc(int id)
{
	CButton *r=NULL;
	r=(CButton*)this->GetDlgItem(id);
	if (r!=NULL)
	{
		r->SendMessage(BM_SETCHECK,BST_CHECKED);
	}
}

void CIQualityTextureDlg::OnShowWindow(BOOL bShow, UINT nStatus)
{
	if (bShow)
	{
		DWORD regtype;
		DWORD num=0;
		DWORD cbd=4;
		SHGetValue(HKEY_CURRENT_USER,"Software\\Sivaller\\Tanga\\1.1","quality",&regtype,&num,&cbd);
		if (num==0)
			sc(IDC_R0);
		if (num==1)
			sc(IDC_R1);
		if (num==2)
			sc(IDC_R2);
	}
	CDialog::OnShowWindow(bShow, nStatus);

	// TODO: Add your message handler code here
}
